added debian/
authorRaphaël Droz <raphael.droz+floss@gmail.com>
Fri, 23 Oct 2020 19:43:08 +0000 (16:43 -0300)
committerRaphaël Droz <raphael.droz+floss@gmail.com>
Fri, 23 Oct 2020 19:43:08 +0000 (16:43 -0300)
debian/changelog [new file with mode: 0644]
debian/compat [new file with mode: 0644]
debian/control [new file with mode: 0644]
debian/files [new file with mode: 0644]
debian/git [new file with mode: 0755]
debian/rules [new file with mode: 0755]
debian/smailq.debhelper.log [new file with mode: 0644]
debian/smailq.files [new file with mode: 0644]
debian/smailq.substvars [new file with mode: 0644]
debian/source/format [new file with mode: 0644]
debian/watch [new file with mode: 0644]

diff --git a/debian/changelog b/debian/changelog
new file mode 100644 (file)
index 0000000..dcd9cdf
--- /dev/null
@@ -0,0 +1,6 @@
+smailq (1.2) unstable; urgency=low
+
+  * Initial release.
+
+ -- Raphaël Droz <raphael.droz@gmail.com>  Fri, 23 Oct 2020 20:00:00 +0300
+
diff --git a/debian/compat b/debian/compat
new file mode 100644 (file)
index 0000000..ec63514
--- /dev/null
@@ -0,0 +1 @@
+9
diff --git a/debian/control b/debian/control
new file mode 100644 (file)
index 0000000..9678f5f
--- /dev/null
@@ -0,0 +1,16 @@
+Source: smailq
+Section: mail
+Priority: optional
+Maintainer: Raphaël Droz <raphael.droz@gmail.com>
+Build-Depends: python3, debhelper, docbook2x
+XS-Python-Version: current
+Standards-Version: 2.0.0-rc
+
+Package: smailq
+Replaces: mail-transport-agent
+Conflicts: mail-transport-agent
+Depends: python3
+Section: mail
+Architecture: all
+Description: A  mail queue for lightweight SMTP clients (MSAs) like msmtp.
+Homepage: https://www.sthu.org/code/smailq.html
diff --git a/debian/files b/debian/files
new file mode 100644 (file)
index 0000000..1c94794
--- /dev/null
@@ -0,0 +1,2 @@
+smailq_1.2_all.deb mail optional
+smailq_1.2_amd64.buildinfo mail optional
diff --git a/debian/git b/debian/git
new file mode 100755 (executable)
index 0000000..41361b5
--- /dev/null
@@ -0,0 +1,10 @@
+#!/bin/sh
+GITVERSION=`git describe --tags`
+#GITVERSION=`echo $GITVERSION | sed 's/-\([0-9]\+-g[0-9a-fA-F]\+\)/~\1/'`
+# ${GITVERSION/-g/~g}
+GITVERSION=`echo $GITVERSION | sed 's/^v//'`
+DEBVERSION=`head -1 debian/changelog | sed 's/.*(\(.*\)).*/\1/'`
+if [ "$DEBVERSION" != "$GITVERSION" ]; then
+    dch -v $GITVERSION "make release from git (see git changelog for more information)" || exit $?
+fi
+fakeroot debian/rules binary
diff --git a/debian/rules b/debian/rules
new file mode 100755 (executable)
index 0000000..e6a9aad
--- /dev/null
@@ -0,0 +1,36 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+
+build: build-stamp
+
+build-stamp:
+       dh_testdir
+       $(MAKE)
+
+install: build
+       dh_testdir
+       dh_testroot
+       dh_prep
+       dh_installdirs
+
+       $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+
+binary-indep: install
+       dh_testdir
+       dh_testroot
+       dh_installchangelogs
+       dh_installdocs
+       dh_installman
+       dh_fixperms
+       dh_installdeb
+       dh_gencontrol
+       dh_md5sums
+       dh_builddeb
+
+binary: binary-indep
+
+clean:
+       dh_clean
+       rm -f debian/postinst.debhelper debian/prerm.debhelper
+
+.PHONY: build install binary binary-indep clean
diff --git a/debian/smailq.debhelper.log b/debian/smailq.debhelper.log
new file mode 100644 (file)
index 0000000..94396a9
--- /dev/null
@@ -0,0 +1,10 @@
+dh_prep
+dh_installdirs
+dh_installchangelogs
+dh_installdocs
+dh_installman
+dh_fixperms
+dh_installdeb
+dh_gencontrol
+dh_md5sums
+dh_builddeb
diff --git a/debian/smailq.files b/debian/smailq.files
new file mode 100644 (file)
index 0000000..2cd1cca
--- /dev/null
@@ -0,0 +1,5 @@
+usr/share/smailq/smailq.conf.sample
+usr/share/man/man1/smailq.1.bz2
+usr/sbin/sendmail
+usr/bin/mailq
+usr/bin/smailq
diff --git a/debian/smailq.substvars b/debian/smailq.substvars
new file mode 100644 (file)
index 0000000..978fc8b
--- /dev/null
@@ -0,0 +1,2 @@
+misc:Depends=
+misc:Pre-Depends=
diff --git a/debian/source/format b/debian/source/format
new file mode 100644 (file)
index 0000000..89ae9db
--- /dev/null
@@ -0,0 +1 @@
+3.0 (native)
diff --git a/debian/watch b/debian/watch
new file mode 100644 (file)
index 0000000..402a619
--- /dev/null
@@ -0,0 +1 @@
+https://git.sthu.org/?p=smailq.git;a=tags Version-(.+)\.tar\.gz
\ No newline at end of file